#                                                                -*-Automake-*-
# kineo.mk: generic Makefile rules for Kineo KPP SDK.
# Copyright (C) 2009 by Thomas Moulard, AIST, CNRS, INRIA.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Additional permission under section 7 of the GNU General Public
# License, version 3 ("GPLv3"):
#
# If you convey this file as part of a work that contains a
# configuration script generated by Autoconf, you may do so under
# terms of your choice.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# -------#
# README #
# -------#

# This file should be included in a ``Makefile.am'' file.
#
# This file assumes that:
#
# - build-aux/init.mk has been included before.
# - KINEO_PREFIX points to Kineo setup prefix.
# - KINEO_LIBDIR points to the library directory of the Kineo installation
#   prefix.
# - KINEO_ADDON_BUILDER points to the KineoAddonBuilder tool.
#
# Use Autoconf AC_SUBST to define these variables.
#
#
# Do not forget to add a dependency to the ``.kab'' file. One solution
# is adding the following in your ``Makefile.am'' file:
#
# kmoduledir= $(libdir)/modules/$(LICENCE_HOST)
#
# BUILT_SOURCES = my-kineo-plug-in.kab
# CLEANFILES = my-kineo-plug-in.kab
#
# kmodule_DATA = my-kineo-plug-in.kab
#

SUFFIXES += .kab

.la.kab:
	SOFILE=`echo ".libs/$<" | sed 's/.la$$/-$(PACKAGE_VERSION).so/'`; 	\
	KABSRCFILE=`echo "$$SOFILE" | sed 's/.so$$/.kab/'`; 			\
	KABDSTFILE=`echo "$<" | sed 's/.la$$/.kab/'`; 				\
	LD_LIBRARY_PATH=$(KINEO_LIBDIR) 					\
	KPP_INSTALL_DIR=$(KINEO_PREFIX) 					\
	$(KINEO_ADDON_BUILDER) -m "$$SOFILE" 					\
	&& mv "$$KABSRCFILE" "$$KABDSTFILE"
